import type { DefaultProps, CSS, SvelteUINumberSize } from '../../styles';
export interface GroupProps extends DefaultProps<HTMLDivElement | HTMLElement> {
    position: GroupPosition;
    noWrap: boolean;
    grow: boolean;
    spacing: SvelteUINumberSize;
    direction: 'row' | 'column';
    align: CSS['alignItems'];
    children: number;
}
export declare type GroupPosition = 'right' | 'center' | 'left' | 'apart';
export declare const POSITIONS: {
    left: string;
    center: string;
    right: string;
    apart: string;
};
export declare const SIZES: {
    xs: string;
    sm: string;
    md: string;
    lg: string;
    xl: string;
};
