import { SvelteComponentTyped } from "svelte";
import type { ModalProps as $$ModalProps } from './Modal.styles';
declare const __propDef: {
    props: {
        /** Mounts modal if true */ opened?: $$ModalProps['opened'];
        /** Modal title, displayed in header before close button */ title?: $$ModalProps['title'];
        /** Modal z-index property */ zIndex?: $$ModalProps['zIndex'];
        /** Control vertical overflow behavior */ overflow?: $$ModalProps['overflow'];
        /** Hides close button if set to false, modal still can be closed with escape key and by clicking outside */ withCloseButton?: $$ModalProps['withCloseButton'];
        /** Overlay opacity */ overlayOpacity?: $$ModalProps['overlayOpacity'];
        /** Overlay color */ overlayColor?: $$ModalProps['overlayColor'];
        /** Overlay blur in px */ overlayBlur?: $$ModalProps['overlayBlur'];
        /** Modal radius */ radius?: $$ModalProps['radius'];
        /** Modal body width */ size?: $$ModalProps['size'];
        /** Modal body transition */ transition?: $$ModalProps['transition'];
        /** Duration in ms of modal transitions, set to 0 to disable all animations */ transitionDuration?: $$ModalProps['transitionDuration'];
        /** Modal body transitionTimingFunction, defaults to theme.transitionTimingFunction */ transitionTimingFunction?: $$ModalProps['transitionTimingFunction'];
        /** Close button aria-label */ closeButtonLabel?: $$ModalProps['closeButtonLabel'];
        /** id base, used to generate ids to connect modal title and body with aria- attributes, defaults to random id */ id?: $$ModalProps['id'];
        /** Modal shadow from theme or css value */ shadow?: $$ModalProps['shadow'];
        /** Modal padding from theme or number value for padding in px */ padding?: $$ModalProps['padding'];
        /** Should modal be closed when outside click was registered */ closeOnClickOutside?: $$ModalProps['closeOnClickOutside'];
        /** Should modal be closed when escape is pressed */ closeOnEscape?: $$ModalProps['closeOnEscape'];
        /** Disables focus trap */ trapFocus?: $$ModalProps['trapFocus'];
        /** Controls if modal should be centered */ centered?: $$ModalProps['centered'];
        /** Target element or selector where modal portal should be rendered */ target?: $$ModalProps['target'];
        /** Determines whether modal should be rendered within Portal, defaults to true */ withinPortal?: $$ModalProps['withinPortal'];
        /** Called when close button clicked and when escape key is pressed */ onClose?: $$ModalProps['onClose'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export declare type ModalProps = typeof __propDef.props;
export declare type ModalEvents = typeof __propDef.events;
export declare type ModalSlots = typeof __propDef.slots;
export default class Modal extends SvelteComponentTyped<ModalProps, ModalEvents, ModalSlots> {
}
export {};
